package com.ibiz5.sample.codelist;

import java.util.ArrayList;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.ibiz5.ibizutil.domain.CodeList;
import com.ibiz5.ibizutil.domain.CodeItem;

/**
 * 代码表[HARDWARETYPE]
 */
@Component("DemoSys_HARDWARETYPECodeList")
public class HARDWARETYPECodeList extends com.ibiz5.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}
	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("DemoSys_HARDWARETYPE");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("Storage");
		item0.setId("Storage");
		item0.setText("存储");
		item0.setLabel("存储");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("Storage",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("CPU");
		item1.setId("CPU");
		item1.setText("处理器");
		item1.setLabel("处理器");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("CPU",item1);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
    }
}