package com.ibiz5.sample.codelist;

import java.util.ArrayList;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.ibiz5.ibizutil.domain.CodeList;
import com.ibiz5.ibizutil.domain.CodeItem;

/**
 * 代码表[DA日志操作类型]
 */
@Component("DemoSys_CodeList24CodeList")
public class CodeList24CodeList extends com.ibiz5.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}
	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("DemoSys_CodeList24");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("CREATE");
		item0.setId("CREATE");
		item0.setText("新建");
		item0.setLabel("新建");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("CREATE",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("UPDATE");
		item1.setId("UPDATE");
		item1.setText("更新");
		item1.setLabel("更新");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("UPDATE",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("DELETE");
		item2.setId("DELETE");
		item2.setText("删除");
		item2.setLabel("删除");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("DELETE",item2);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
    }
}